html 5 + ie

Пролог

Роблю верстку у html 5. Як годиться, зробив все під нормальні браузери, потім дійшла черга до ІЕ. Насправді, навіть сьома і восьма версія ІЕ нормально не розуміють нові теги. Казус заключався ще й у тім, що при одинакових стилях ІЕ 7 відображав все не так як ІЕ 8, хоча різниці не повинно було бути. А варто було змінити для одного елемента позиціонування з absolute на relative, як відображення цими двома версіями ІЕ мінялось дзеркально! :biggrin: А про ІЕ 6 я взагалі мовчу..

Додамо підтримки html 5

Для ІЕ версії 6 все дуже зле.. 🙂 Як альтернатива – юзер може скористатись Google ChromeFrame. Тут два варіанти: або встановити код, який просто увімкне підтримку вже інстальованого ChromeFrame або код, що, у разі відсутності означеного додатку ще й запропонує його встановити. Але думаю, якщо сторінка вже зверстана у html 5, а юзер з ІЕ 6 відмовиться інсталювати додаток ChromeFrame, то… тут доведеться повністю заблокувати перегляд сторінки. Адже навіть якщо цього не зробити, то контент однаково буде не читабельним.

Плюс, якщо у вас WordPress, то можу порадити звернути увагу на численні плагіни, що покликані зупинити використання Іnternet Еxplorer 6.

Для ІЕ версій 7 та 8, ця халепа вирішується додавання ось такого виразу document.createElement('article'); заключеного у тег < script> у хедер документу. У моєму випадку потрібно було створити елемент “article”. Якщо вам потрібен/потрібні інші елементи – просто вписуйте їхні назви.

За підтримки:
Безкоштовна дошка оголошень Тернопільської області. Безкоштовні оголошення Brama.te.ua.

Святковий зимовий настрій

Святковий зимовий настрій

Сорока-ворона…

Сорока-ворона…

Новіший допис

Надіслати коментар